Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.launching
Interface IJavaLaunchConfigurationConstants

public interface IJavaLaunchConfigurationConstants

Constant definitions for Java launch configurations.

Constant definitions only; not to be implemented.

Since:
  2.0

Field Summary
`static String` | `ATTR_ALLOW_TERMINATE` Launch configuration attribute key.
`static String` | `ATTR_APPLET_APPLETVIEWER_CLASS` Launch configuration attribute key.
`static String` | `ATTR_APPLET_HEIGHT` Launch configuration attribute key.
`static String` | `ATTR_APPLET_NAME` Launch configuration attribute key.
`static String` | `ATTR_APPLET_PARAMETERS` Launch configuration attribute key.
`static String` | `ATTR_APPLET_WIDTH` Launch configuration attribute key.
`static String` | `ATTR_BOOTPATH` Attribute key for a VM specific argument.
`static String` | `ATTR_BOOTPATH_APPEND` Attribute key for a VM specific argument.
`static String` | `ATTR_BOOTPATH_PREPEND` Attribute key for a VM specific argument.
`static String` | `ATTR_CLASSPATH` Launch configuration attribute key.
`static String` | `ATTR_CLASSPATH_PROVIDER` Launch configuration attribute key.
`static String` | `ATTR_CONNECT_MAP` Launch configuration attribute key.
`static String` | `ATTR_DEFAULT_CLASSPATH` Launch configuration attribute key.
`static String` | `ATTR_DEFAULT_SOURCE_PATH` Launch configuration attribute key.
`static String` | `ATTR_JAVA_COMMAND` Attribute key for VM specific attributes found in the `ATTR_VM_INSTALL_TYPE_SPECIFIC_ATTRS_MAP`.
`static String` | `ATTR_MAIN_TYPE_NAME` Launch configuration attribute key.
`static String` | `ATTR_PROGRAM_ARGUMENTS` Launch configuration attribute key.
`static String` | `ATTR_PROJECT_NAME` Launch configuration attribute key.
`static String` | `ATTR_SOURCE_PATH` Launch configuration attribute key.
`static String` | `ATTR_SOURCE_PATH_PROVIDER` Launch configuration attribute key.
`static String` | `ATTR_STOP_IN_MAIN` Launch configuration attribute key.
`static String` | `ATTR_VM_ARGUMENTS` Launch configuration attribute key.
`static String` | `ATTR_VM_CONNECTOR` Launch configuration attribute key.
`static String` | `ATTR_VM_INSTALL_NAME` Launch configuration attribute key.
`static String` | `ATTR_VM_INSTALL_TYPE` Launch configuration attribute key.
`static String` | `ATTR_VM_INSTALL_TYPE_SPECIFIC_ATTRS_MAP` Launch configuration attribute key.
`static String` | `ATTR_WORKING_DIRECTORY` Launch configuration attribute key.
`static String` | `DEFAULT_APPLETVIEWER_CLASS` Default value for the 'ATTR_APPLET_APPLETVIEWER' attribute.
`static int` | `ERR_CONNECTION_FAILED` Status code indicating that the debugger failed to connect to the VM.
`static int` | `ERR_CONNECTOR_NOT_AVAILABLE` Status code indicating that the JDI connector required for a debug launch was not available.
`static int` | `ERR_COULD_NOT_BUILD_HTML` Status code indicating that the .html file used to initiate an applet launch could not be built.
`static int` | `ERR_INTERNAL_ERROR` Status code indicating an unexpected internal error.
`static int` | `ERR_INVALID_HOSTNAME` Status code indicating a launch configuration has specified an invalid host name attribute
`static int` | `ERR_INVALID_PORT` Status code indicating a launch configuration has specified an invalid port number attribute
`static int` | `ERR_NO_SOCKET_AVAILABLE` Status code indicating that a free socket was not available to communicate with the VM.
`static int` | `ERR_NOT_A_JAVA_PROJECT` Status code indicating the project associated with a launch configuration is not a Java project.
`static int` | `ERR_NOT_AN_APPLET` Status code indicating that the applet launcher was asked to launch a resource that did not extend `java.applet.Applet`.
`static int` | `ERR_PROJECT_CLOSED` Status code indicating that the project referenced by a launch configuration is closed.
`static int` | `ERR_REMOTE_VM_CONNECTION_FAILED` Status code indicating an attempt to connect to a remote VM has failed.
`static int` | `ERR_SHARED_MEMORY_CONNECTOR_UNAVAILABLE` Status code indicating that the shared memory attach connector could not be found.
`static int` | `ERR_UNSPECIFIED_HOSTNAME` Status code indicating a launch configuration does not specify a host name value
`static int` | `ERR_UNSPECIFIED_LAUNCH_CONFIG` Status code indicating that no launch configuration was specified.
`static int` | `ERR_UNSPECIFIED_MAIN_TYPE` Status code indicating a launch configuration does not specify a main type to launch.
`static int` | `ERR_UNSPECIFIED_PORT` Status code indicating a launch configuration does not specify a port number value
`static int` | `ERR_UNSPECIFIED_PROJECT` Status code indicating a launch configuration does not specify a project when a project is required.
`static int` | `ERR_UNSPECIFIED_VM_INSTALL` Status code indicating a launch configuration does not specify a VM Install
`static int` | `ERR_UNSPECIFIED_VM_INSTALL_TYPE` Status code indicating a launch configuration does not specify a VM Install Type.
`static int` | `ERR_VM_CONNECT_TIMEOUT` Status code indicating that a timeout has occurred waiting for the VM to connect with the debugger.
`static int` | `ERR_VM_INSTALL_DOES_NOT_EXIST` Status code indicating a launch configuration's VM install could not be found.
`static int` | `ERR_VM_INSTALL_TYPE_DOES_NOT_EXIST` Status code indicating a launch configuration's VM install type could not be found.
`static int` | `ERR_VM_LAUNCH_ERROR` Status code indicating that an error occurred launching a VM.
`static int` | `ERR_VM_RUNNER_DOES_NOT_EXIST` Status code indicating a VM runner could not be located for the VM install specified by a launch configuration.
`static int` | `ERR_WORKING_DIRECTORY_DOES_NOT_EXIST` Status code indicating the specified working directory does not exist.
`static int` | `ERR_WORKING_DIRECTORY_NOT_SUPPORTED` Status code indicating that the Eclipse runtime does not support launching a program with a working directory.
`static String` | `ID_JAVA_APPLET` Identifier for the Java Applet launch configuration type (value `"org.eclipse.jdt.launching.javaApplet"`).
`static String` | `ID_JAVA_APPLICATION` Identifier for the Local Java Application launch configuration type (value `"org.eclipse.jdt.launching.localJavaApplication"`).
`static String` | `ID_JAVA_PROCESS_TYPE` Identifier for the java process type, which is annotated on processes created by the local java application launch delegate.
`static String` | `ID_REMOTE_JAVA_APPLICATION` Identifier for the Remote Java Application launch configuration type (value `"org.eclipse.jdt.launching.remoteJavaApplication"`).
`static String` | `ID_SOCKET_ATTACH_VM_CONNECTOR` Identifier for the standard Socket Attaching VM connector (value `"org.eclipse.jdt.launching.socketAttachConnector"`).

Field Detail

### ID_JAVA_APPLICATION

    public static final String ID_JAVA_APPLICATION

  Identifier for the Local Java Application launch configuration type (value `"org.eclipse.jdt.launching.localJavaApplication"`).

### ID_REMOTE_JAVA_APPLICATION

    public static final String ID_REMOTE_JAVA_APPLICATION

  Identifier for the Remote Java Application launch configuration type (value `"org.eclipse.jdt.launching.remoteJavaApplication"`).

### ID_JAVA_APPLET

    public static final String ID_JAVA_APPLET

  Identifier for the Java Applet launch configuration type (value `"org.eclipse.jdt.launching.javaApplet"`).

### ID_SOCKET_ATTACH_VM_CONNECTOR

    public static final String ID_SOCKET_ATTACH_VM_CONNECTOR

  Identifier for the standard Socket Attaching VM connector (value `"org.eclipse.jdt.launching.socketAttachConnector"`).

### ID_JAVA_PROCESS_TYPE

    public static final String ID_JAVA_PROCESS_TYPE

  Identifier for the java process type, which is annotated on processes created by the local java application launch delegate. (value `"java"`).

  See Also:
    Constant Field Values

### ATTR_PROJECT_NAME

    public static final String ATTR_PROJECT_NAME

  Launch configuration attribute key. The value is a name of a Java project associated with a Java launch configuration.

### ATTR_MAIN_TYPE_NAME

    public static final String ATTR_MAIN_TYPE_NAME

  Launch configuration attribute key. The value is a fully qualified name of a main type to launch.

### ATTR_STOP_IN_MAIN

    public static final String ATTR_STOP_IN_MAIN

  Launch configuration attribute key. The value is a boolean specifying whether execution should stop when main is entered. The default value is `false`.

  Since:
    2.1

### ATTR_PROGRAM_ARGUMENTS

    public static final String ATTR_PROGRAM_ARGUMENTS

  Launch configuration attribute key. The value is a string specifying program arguments for a Java launch configuration, as they should appear on the command line.

### ATTR_VM_ARGUMENTS

    public static final String ATTR_VM_ARGUMENTS

  Launch configuration attribute key. The value is a string specifying VM arguments for a Java launch configuration, as they should appear on the command line.

### ATTR_WORKING_DIRECTORY

    public static final String ATTR_WORKING_DIRECTORY

  Launch configuration attribute key. The value is a string specifying a path to the working directory to use when launching a local VM. When specified as an absolute path, the path represents a path in the local file system. When specified as a full path, the path represents a workspace relative path. When unspecified, the working directory defaults to the project associated with a launch configuration. When no project is associated with a launch configuration, the working directory is inherited from the current process.

### ATTR_VM_INSTALL_NAME

    public static final String ATTR_VM_INSTALL_NAME

  Launch configuration attribute key. The value is a name of a VM install to use when launching a local VM. This attribute must be qualified by a VM install type, via the `ATTR_VM_INSTALL_TYPE` attribute. When unspecified, the default VM is used.

### ATTR_VM_INSTALL_TYPE

    public static final String ATTR_VM_INSTALL_TYPE

  Launch configuration attribute key. The value is an identifier of a VM install type. Used in conjunction with a VM install name, to specify the VM to use when launching a local Java application. The associated VM install name is specified via the attribute `ATTR_VM_INSTALL_NAME`.

### ATTR_VM_INSTALL_TYPE_SPECIFIC_ATTRS_MAP

    public static final String ATTR_VM_INSTALL_TYPE_SPECIFIC_ATTRS_MAP

  Launch configuration attribute key. The value is a Map of attributes specific to a particular VM install type, used when launching a local Java application. The map is passed to a `VMRunner` via a `VMRunnerConfiguration` when launching a VM. The attributes in the map are implementation dependent and are limited to String keys and values.

### ATTR_VM_CONNECTOR

    public static final String ATTR_VM_CONNECTOR

  Launch configuration attribute key. The value is an identifier of a VM connector, specifying a connector to use when attaching to a remote VM.

### ATTR_CLASSPATH

    public static final String ATTR_CLASSPATH

  Launch configuration attribute key. The attribute value is an ordered list of strings which are mementos for runtime class path entries. When unspecified, a default classpath is generated by the classpath provider associated with a launch configuration (via the `ATTR_CLASSPATH_PROVIDER` attribute).

### ATTR_DEFAULT_CLASSPATH

    public static final String ATTR_DEFAULT_CLASSPATH

  Launch configuration attribute key. The value is a boolean specfying whether a default classpath should be used when launching a local Java application. When `false`, a classpath must be specified via the `ATTR_CLASSPATH` attribute. When `true` or unspecified, a classpath is computed by the classpath provider associated with a launch configuration.

### ATTR_CLASSPATH_PROVIDER

    public static final String ATTR_CLASSPATH_PROVIDER

  Launch configuration attribute key. The value is an identifier of a classpath provider extension used to compute the classpath for a launch configuration. When unspecified, the default classpath provider is used - `StandardClasspathProvider`.

### ATTR_SOURCE_PATH

    public static final String ATTR_SOURCE_PATH

  Launch configuration attribute key. The value is an ordered list of strings which are mementos for associated runtime classpath entries interpreted as locations in which to look for source code. When unspecified, a default source lookup path is generated by the source path provider associated with a launch configurations (via the `ATTR_SOURCE_PATH_PROVIDER` attribute).

### ATTR_DEFAULT_SOURCE_PATH

    public static final String ATTR_DEFAULT_SOURCE_PATH

  Launch configuration attribute key. The value is a boolean specifying whether a default source lookup path should be used. When `false` a source path must be specified via the `ATTR_SOURCE_PATH` attribute. When `true` or unspecified, a source lookup path is computed by the source path provider associated with a launch configuration.

### ATTR_SOURCE_PATH_PROVIDER

    public static final String ATTR_SOURCE_PATH_PROVIDER

  Launch configuration attribute key. The value is an identifier of a source path provider extension used to compute the source lookup path for a launch configuration. When unspecified, the default source lookup path provider is used - `StandardSourcePathProvider`.

### ATTR_ALLOW_TERMINATE

    public static final String ATTR_ALLOW_TERMINATE

  Launch configuration attribute key. The value is a boolean, indicating whether a VM will support/allow the terminate action. This attribute is used for remote debugging.

### ATTR_JAVA_COMMAND

    public static final String ATTR_JAVA_COMMAND

  Attribute key for VM specific attributes found in the `ATTR_VM_INSTALL_TYPE_SPECIFIC_ATTRS_MAP`. The value is a String, indicating the String to use to invoke the JRE.

### ATTR_CONNECT_MAP

    public static final String ATTR_CONNECT_MAP

  Launch configuration attribute key. The value is a map. Keys in the map correpsond to arguments names returned by `IVMConnector#getDefaultArguments()`. Values are strings corresponding to the values to use when establishing a connection to a remote VM.

### ATTR_APPLET_WIDTH

    public static final String ATTR_APPLET_WIDTH

  Launch configuration attribute key. The value is an integer indicating the width of the applet viewing area.

  Since:
    2.1

### ATTR_APPLET_HEIGHT

    public static final String ATTR_APPLET_HEIGHT

  Launch configuration attribute key. The value is an integer indicating the height of the applet viewing area.

  Since:
    2.1

### ATTR_APPLET_NAME

    public static final String ATTR_APPLET_NAME

  Launch configuration attribute key. The value is a String indicating the HTML name of the applet.

  Since:
    2.1

### ATTR_APPLET_PARAMETERS

    public static final String ATTR_APPLET_PARAMETERS

  Launch configuration attribute key. The value is a Map. Keys in the map represent applet parameter names and the values in the map are the corresponding parameter values

  Since:
    2.1

### ATTR_APPLET_APPLETVIEWER_CLASS

    public static final String ATTR_APPLET_APPLETVIEWER_CLASS

  Launch configuration attribute key. The value is a String indicating the fully qualified name of the appletviewer utility class to use.

  Since:
    2.1

### ATTR_BOOTPATH_PREPEND

    public static final String ATTR_BOOTPATH_PREPEND

  Attribute key for a VM specific argument. Value is an array of strings desribing paths in the local file system that should be prepended to the bootpath, or `null` if none. The value is computed dynamically at launch time and placed in the VM specific arguments map by the Java application launch delegate.

  Since:
    3.0

### ATTR_BOOTPATH

    public static final String ATTR_BOOTPATH

  Attribute key for a VM specific argument. Value is an array of strings desribing paths in the local file system that should be placed on the bootpath explicitly, or `null` if none. The value is computed dynamically at launch time and placed in the VM specific arguments map by the Java application launch delegate.

  Since:
    3.0

### ATTR_BOOTPATH_APPEND

    public static final String ATTR_BOOTPATH_APPEND

  Attribute key for a VM specific argument. Value is an array of strings desribing paths in the local file system that should be appended to the bootpath, or `null` if none. The value is computed dynamically at launch time and placed in the VM specific arguments map by the Java application launch delegate.

  Since:
    3.0

### ERR_UNSPECIFIED_PROJECT

    public static final int ERR_UNSPECIFIED_PROJECT

  Status code indicating a launch configuration does not specify a project when a project is required.

  See Also:
    Constant Field Values

### ERR_UNSPECIFIED_MAIN_TYPE

    public static final int ERR_UNSPECIFIED_MAIN_TYPE

  Status code indicating a launch configuration does not specify a main type to launch.

  See Also:
    Constant Field Values

### ERR_UNSPECIFIED_VM_INSTALL_TYPE

    public static final int ERR_UNSPECIFIED_VM_INSTALL_TYPE

  Status code indicating a launch configuration does not specify a VM Install Type.

  See Also:
    Constant Field Values

### ERR_UNSPECIFIED_VM_INSTALL

    public static final int ERR_UNSPECIFIED_VM_INSTALL

  Status code indicating a launch configuration does not specify a VM Install

  See Also:
    Constant Field Values

### ERR_VM_INSTALL_TYPE_DOES_NOT_EXIST

    public static final int ERR_VM_INSTALL_TYPE_DOES_NOT_EXIST

  Status code indicating a launch configuration's VM install type could not be found.

  See Also:
    Constant Field Values

### ERR_VM_INSTALL_DOES_NOT_EXIST

    public static final int ERR_VM_INSTALL_DOES_NOT_EXIST

  Status code indicating a launch configuration's VM install could not be found.

  See Also:
    Constant Field Values

### ERR_VM_RUNNER_DOES_NOT_EXIST

    public static final int ERR_VM_RUNNER_DOES_NOT_EXIST

  Status code indicating a VM runner could not be located for the VM install specified by a launch configuration.

  See Also:
    Constant Field Values

### ERR_NOT_A_JAVA_PROJECT

    public static final int ERR_NOT_A_JAVA_PROJECT

  Status code indicating the project associated with a launch configuration is not a Java project.

  See Also:
    Constant Field Values

### ERR_WORKING_DIRECTORY_DOES_NOT_EXIST

    public static final int ERR_WORKING_DIRECTORY_DOES_NOT_EXIST

  Status code indicating the specified working directory does not exist.

  See Also:
    Constant Field Values

### ERR_UNSPECIFIED_HOSTNAME

    public static final int ERR_UNSPECIFIED_HOSTNAME

  Status code indicating a launch configuration does not specify a host name value

  See Also:
    Constant Field Values

### ERR_INVALID_HOSTNAME

    public static final int ERR_INVALID_HOSTNAME

  Status code indicating a launch configuration has specified an invalid host name attribute

  See Also:
    Constant Field Values

### ERR_UNSPECIFIED_PORT

    public static final int ERR_UNSPECIFIED_PORT

  Status code indicating a launch configuration does not specify a port number value

  See Also:
    Constant Field Values

### ERR_INVALID_PORT

    public static final int ERR_INVALID_PORT

  Status code indicating a launch configuration has specified an invalid port number attribute

  See Also:
    Constant Field Values

### ERR_REMOTE_VM_CONNECTION_FAILED

    public static final int ERR_REMOTE_VM_CONNECTION_FAILED

  Status code indicating an attempt to connect to a remote VM has failed.

  See Also:
    Constant Field Values

### ERR_SHARED_MEMORY_CONNECTOR_UNAVAILABLE

    public static final int ERR_SHARED_MEMORY_CONNECTOR_UNAVAILABLE

  Status code indicating that the shared memory attach connector could not be found.

  See Also:
    Constant Field Values

### ERR_WORKING_DIRECTORY_NOT_SUPPORTED

    public static final int ERR_WORKING_DIRECTORY_NOT_SUPPORTED

  Status code indicating that the Eclipse runtime does not support launching a program with a working directory. This feature is only available if Eclipse is run on a 1.3 runtime or higher.

  A status handler may be registered for this error condition, and should return a Boolean indicating whether the program should be relaunched with the default working directory.

  See Also:
    Constant Field Values

### ERR_VM_LAUNCH_ERROR

    public static final int ERR_VM_LAUNCH_ERROR

  Status code indicating that an error occurred launching a VM. The status error message is the text that the VM wrote to standard error before exiting.

  See Also:
    Constant Field Values

### ERR_VM_CONNECT_TIMEOUT

    public static final int ERR_VM_CONNECT_TIMEOUT

  Status code indicating that a timeout has occurred waiting for the VM to connect with the debugger.

  A status handler may be registered for this error condition, and should return a Boolean indicating whether the program should continue waiting for a connection for the associated timeout period.

  See Also:
    Constant Field Values

### ERR_NO_SOCKET_AVAILABLE

    public static final int ERR_NO_SOCKET_AVAILABLE

  Status code indicating that a free socket was not available to communicate with the VM.

  See Also:
    Constant Field Values

### ERR_CONNECTOR_NOT_AVAILABLE

    public static final int ERR_CONNECTOR_NOT_AVAILABLE

  Status code indicating that the JDI connector required for a debug launch was not available.

  See Also:
    Constant Field Values

### ERR_CONNECTION_FAILED

    public static final int ERR_CONNECTION_FAILED

  Status code indicating that the debugger failed to connect to the VM.

  See Also:
    Constant Field Values

### ERR_NOT_AN_APPLET

    public static final int ERR_NOT_AN_APPLET

  Status code indicating that the applet launcher was asked to launch a resource that did not extend `java.applet.Applet`.

  Since:
    2.1
  See Also:
    Constant Field Values

### ERR_UNSPECIFIED_LAUNCH_CONFIG

    public static final int ERR_UNSPECIFIED_LAUNCH_CONFIG

  Status code indicating that no launch configuration was specified.

  Since:
    2.1
  See Also:
    Constant Field Values

### ERR_COULD_NOT_BUILD_HTML

    public static final int ERR_COULD_NOT_BUILD_HTML

  Status code indicating that the .html file used to initiate an applet launch could not be built.

  Since:
    2.1
  See Also:
    Constant Field Values

### ERR_PROJECT_CLOSED

    public static final int ERR_PROJECT_CLOSED

  Status code indicating that the project referenced by a launch configuration is closed.

  Since:
    3.0
  See Also:
    Constant Field Values

### ERR_INTERNAL_ERROR

    public static final int ERR_INTERNAL_ERROR

  Status code indicating an unexpected internal error.

  See Also:
    Constant Field Values

### DEFAULT_APPLETVIEWER_CLASS

    public static final String DEFAULT_APPLETVIEWER_CLASS

  Default value for the 'ATTR_APPLET_APPLETVIEWER' attribute.

  Since:
    2.1
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.